.widget_price_filter {
	& .price_label {
		margin-top: 0.5em;
	}

	& .price_slider_amount {
		display: flex;
		flex-direction: column;
	}

	& button[type='submit'] {
		width: 100%;
		margin-top: 0.5em;
		order: 1;
	}

	& .clear {
		order: 2;

		& * {
			margin-top: 0.5em;
		}
	}
}

.widget {
	& .count {
		color: var(--gray);
	}

	& li {
		margin-top: 0.25em;

		& .children {
			margin-left: 1em;
		}
	}

	& .select2-selection--single {
		height: 35px;
	}

	& .select2-container--default {
		& .select2-selection--single {
			& .select2-selection__rendered {
				line-height: 30px;
				height: 35px;
			}
		}
	}

	& .select2-selection__placeholder {
		line-height: 30px;
	}
}

.widget_product_categories {
	& ul.product-categories {
		& > li {
			padding: 5px 0;
			border-bottom: 1px dashed var(--border);
		}

		& li.cat-parent {
			position: relative;

			& > a {
				padding-right: 20px;
				display: inline-block;
			}

			& .woo-cat-toggle {
				position: absolute;
				top: 10px;
				right: 0;
				display: inline-block;
				text-align: center;
				line-height: 1;
				transform: rotate(-90deg);
				transition: all 0.4s ease;
				border-radius: 50%;
				cursor: pointer;

				&::before {
					font-weight: normal;
					font-style: normal;
					font-size: 20px;
					text-transform: none;
					speak: none;
					content: '+';
					width: 20px;
					height: 20px;
					text-align: center;
					line-height: 0;
				}

				& ~ ul.children {
					overflow: hidden;
					max-height: 0;
					transition: all 0.4s ease;
					margin-left: 1em;
				}
			}

			& .woo-cat-toggle.cat-popped {
				-webkit-transform: rotate(0deg);
				transform: rotate(0deg);

				&::before {
					content: '\2013';
					color: var(--primary);
				}

				& ~ ul.children {
					max-height: max-content;
				}

				& + a {
					color: var(--primary);
				}
			}
		}

		& .current-cat-parent {
			& .current-cat {
				& a {
					color: var(--primary);
				}
			}
		}
	}
}

.product_list_widget {
	& a:not(.remove_from_cart_button) {
		display: block;
	}

	& li {
		position: relative;
		padding: 10px 25px 10px 75px;
		border-top: 1px solid var(--border);
		line-height: 26px;
		min-height: 80px;

		&:first-child {
			border-top: 0;
		}
	}

	& img {
		position: absolute;
		top: 10px;
		left: 0;
		width: 60px;
		height: 60px;
	}

	& .product-price {
		margin-top: 0.25em;
		font-weight: var(--font-bold);
		color: var(--primary);

		& del {
			opacity: 0.65;
			color: var(--dark);
			font-weight: var(--font-normal);
		}
	}
}

.product_list_widget.woocommerce-mini-cart img {
	top: 10px;
}

.product_list_widget .mini_cart_item:last-of-type {
	border-bottom: 0;
}

.widget--product {
	& .product_list_widget {
		& li {
			padding: 10px 10px 10px 75px;
		}
	}
}

.widget_recently_viewed_products {
	& .product-title {
		display: block;
		font-weight: var(--font-bold);
	}
}

.widget {
	& .widget__guarantee-list {
		padding: 1em;

		& .guarantee-list__col {
			width: 100%;
			justify-content: left;
			margin-top: 1em;

			&:first-child {
				margin-top: 0;
			}

			& .guarantee-list__media-wrapper {
				margin-right: 0.5em;
			}

			& .guarantee-list__title {
				text-transform: none;
			}

			& .image__img {
				width: 25px;
			}
		}
	}
}
